Name:		frei0r-plugins		
Version:	2.2.0
Release:	1
Summary:	Minimalistic plugin API for video effects, by the Piksel Developers Union
License:	GPLv2+	
URL:		https://github.com/dyne/frei0r
Source0: 	https://github.com/dyne/frei0r/archive/v%{version}.tar.gz#/frei0r-plugins-%{version}.tar.gz

BuildRequires:  cmake doxygen graphviz gcc-c++
BuildRequires:  libtool
BuildRequires:  gavl-devel >= 0.2.3
BuildRequires:  cairo-devel >= 1.0.0
     
%description
Frei0r is a minimalistic plugin API for video effects.

The main emphasis is on simplicity for an API that will round up the 
most common video effects into simple filters.

It is a minimalist plugin API for video sources and filters. The behavior of
the effects can be controlled from the host by simple parameters. The intent is
to solve the recurring re-implementation or adaptation issue of standard effect

%package -n     frei0r-devel
Summary:	Header files for frei0r-plugins
Requires:	frei0r-plugins = %{version}-%{release}

%description -n frei0r-devel
Headerfiles for frei0r-plugins

%package_help

%prep
%autosetup -n frei0r-%{version} -p1

%build
%cmake -DCMAKE_INSTALL_PREFIX=/usr ./
make %{?_smp_mflags}
 
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

#Remove installed doc
rm -rf %{buildroot}%{_docdir}/%{name}

%files
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING
%dir %{_libdir}/frei0r-1
%{_libdir}/frei0r-1/*.so

%files      -n  frei0r-devel
%defattr(-,root,root)
%{_includedir}/frei0r.h
%{_libdir}/pkgconfig/*.pc

%files		help
%defattr(-,root,root)
%doc ChangeLog README.md

%changelog
* Thu Apr 6 2023 Dongxing Wang <dxwangk@isoftstone.com> - 2.2.0-1
- Update to 2.2.0

* Mon Jun 20 2022 dillon chen <dillon.chen@gmail.com> - 1.8.0-1
- Update to 1.8.0
- remove TODO

* Wed Jan 20 2021 wangchen <wangchen137@huawei.com> - 1.7.0-1
- Update to 1.7.0

* Wed Sep 9 2020 Ge Wang <wangge20@huawei.com> - 1.6.1-9
- Modify Source0 Url

* Thu Mar 5 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.6.1-8
- Package init 
